Bug 119901 - Menu VFS method not aware of .desktop file changes
Menu VFS method not aware of .desktop file changes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: desktop-file-utils (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-02 18:14 EST by Julien Olivier
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 17:01:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julien Olivier 2004-04-02 18:14:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
After installing an RPM package, you have to log out and log in (or
simply restart gnome-panel). If you don't do that, newly installed
software won't appear in the panel.

In Fedora Core 1, you didn't have to retsart the panel to have it take
into account newly created .desktop files.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install new software
2.Open the applications menu (the "red hat")
3.Look for your newly installed piece of software's icon
    

Actual Results:  It's not there until you re-log

Expected Results:  The applications menu should have refreshed itself
automatically

Additional info:

I installed my packages using rpm -Uvh foo.rpm (amule and gxmame from
freshrpms.net). Both showed up correctly after re-starting gnome-panel.
Comment 1 Mark McLoughlin 2004-04-08 08:32:19 EDT
This needs to be fixed. Its probably the new menus vfs method, but
it'll need some investigation to confirm that.
Comment 2 Dan Williams 2004-04-08 09:54:39 EDT
The problem is actually FAM (the file and directory change
notification daemon).  FAM has been disabled for a while due to
SELinux (FAM seems to be a security hole you could drive a truck
through), and this is being discussed.  Becuase so much of the desktop
depends on FAM being active, its probably going to be re-enabled for
FC2 Test 3, we're not sure.

I've already added the Gnome VFS monitor code to the menu VFS method,
I just need to hook it up to the cache clearing routines, and then we
need a working FAM and all will be well :)
Comment 3 Dan Williams 2004-04-08 09:56:49 EDT
Taking bug...
Comment 4 Dan Williams 2004-05-06 17:01:22 EDT
fixed in rawhide, gnome-vfs2-2.6.0-7 I believe

Note You need to log in before you can comment on or make changes to this bug.